%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary: KDevelop Plugin that starts a script by opening a webbrowser
Name: kdevelop4-executebrowser
Version: 1.5.60
Release: %mkrel 1
#source is in fact the latest tarball from git
Source0: http://anongit.kde.org/kdev-executebrowser/kdev-executebrowser-%{version}.tar.bz2
License: GPLv2+
Group: Development/Tools
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel 
BuildRequires: kdevplatform4-devel >= 4:%{version}
BuildRequires: kdevelop-pg-qt-devel >= 0.9.82
Requires: kdevelop4 >= 4:%{kdevelop_ver}

%description
KDevelop Plugin that starts a script by opening a webbrowser.

%files
%_kde_libdir/kde4/kdevexecutebrowser.so
%_kde_services/kdevexecutebrowser.desktop

#--------------------------------------------------------------------

%package devel
Summary: Header files for %{name}
Group: Development/KDE and Qt

%description devel
This package contains header files for %{name}.

%files devel
%_kde_includedir/kdevexecutebrowser/iexecutebrowserplugin.h

#--------------------------------------------------------------------

%prep
%setup -qn kdev-executebrowser-%{version}

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build



%changelog
* Tue Dec 01 2015 zezinho <zezinho> 1.5.60-1.mga5
+ Revision: 907542
- fix plugin load in kdevelop #17269

* Wed Oct 15 2014 umeabot <umeabot> 1.3.80-8.mga5
+ Revision: 749310
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.80-7.mga5
+ Revision: 726611
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.80-6.mga5
+ Revision: 681013
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.80-5.mga5
+ Revision: 528956
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 fwang <fwang> 1.3.80-4.mga4
+ Revision: 448423
- update plugin ver

* Mon May 27 2013 fwang <fwang> 1.3.80-3.mga4
+ Revision: 428537
- rebuild for new kdevplatform

* Sat Jan 12 2013 umeabot <umeabot> 1.3.80-2.mga3
+ Revision: 356061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 311033
- update file list
- imported package kdevelop4-executebrowser

